Page MenuHomePhabricator

Update banner on books page
Closed, ResolvedPublic1 Story Points

Description

Background

As we will be retiring OCG prior to the deployment of the post-processing step in book creation, we will need to update the banner on the books page to reflect this change.

Acceptance Criteria

  • Update message electronPDFService-warning-message in ElectronPdf extension on banner on the books page to read:

We have technical problems with the function we use to create PDFs. We unfortunately have to replace it. This affects the styling and features of the books function. For more information and feedback, visit the [[project page]].

link (https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality)

Event Timeline

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 10:43 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:19 PM
ovasileva moved this task from Triage to Needs Analysis on the Proton board.
Jdlrobson updated the task description. (Show Details)Sep 6 2017, 5:43 PM
Jdlrobson set the point value for this task to 1.

@ovasileva, there are two links at the bottom of the page in the current implementation if I'm not mistaken. Should we remove the links?

@bmansurov - links should stay, only text should change

Change 376323 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/ElectronPdfService@master] Update banner message

https://gerrit.wikimedia.org/r/376323

Change 376323 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Update banner message

https://gerrit.wikimedia.org/r/376323

@Jdlrobson - in production next Thursday?

ovasileva closed this task as Resolved.Sep 11 2017, 11:25 AM

Looks good. Made a note to double-check once it's in production.